export declare class ComponentParser {
    private openTags;
    private resolvedRequests;
    private codeScopes;
    private usedNSTags;
    private unsupportedPlatformTagCount;
    private moduleDirPath;
    private moduleRelativePath;
    private platform;
    private currentViewScope;
    private treeIndex;
    private isComponentInitialized;
    private isInSlotFallbackScope;
    constructor(moduleRelativePath: string, platform: string);
    handleOpenTag(tagName: string, attributes: any): void;
    handleCloseTag(tagName: string): void;
    getResolvedRequests(): string[];
    getResult(): string;
    private initialize;
    private isClosingTag;
    private checkOpenTagNestingConditions;
    private appendImportsForUI;
    private readAttributes;
    private getPropertyCode;
    private buildComponent;
    private bindCodeAndStyleModules;
    private registerNamespace;
    private getLocalAndPrefixByName;
    private getResolvedPath;
    private isViewProperty;
}
